=== debian/control ===
Source: kernel-patch-2.2.18-vm-global
Section: devel
Priority: extra
Maintainer: Camm Maguire <camm@enhanced.com>
Standards-Version: 3.1.1

Package: kernel-patch-2.2.18-vm-global
Architecture: all
Depends: bzip2, patch
Description: Andrea Archangeli's 2.2.18pre25 vm-global patch.
 This patch fixes an instability in which a 2.2.18 machine under
 memory pressure will hang as it attempts to free VM pages, and fails.
