=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

version=2.2.18

build: build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p debian/kernel-patch-$(version)-vm-global/usr/src/kernel-patches/i386/$(version)/apply
	mkdir debian/kernel-patch-$(version)-vm-global/usr/src/kernel-patches/i386/$(version)/unpatch
	cp vm-global.bz2 debian/kernel-patch-$(version)-vm-global/usr/src/kernel-patches/i386/$(version)
	sed 's/@version@/$(version)/g' vm-global.apply > debian/kernel-patch-$(version)-vm-global/usr/src/kernel-patches/i386/$(version)/apply/vm-global
	sed 's/@version@/$(version)/g' vm-global.unapply > debian/kernel-patch-$(version)-vm-global/usr/src/kernel-patches/i386/$(version)/unpatch/vm-global
	chmod 755 debian/kernel-patch-$(version)-vm-global/usr/src/kernel-patches/i386/$(version)/*/vm-global


# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
